> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zuwinda.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Groups

> Returns all whatsapp groups from a specific whatsapp instance



## OpenAPI

````yaml POST /messaging/whatsapp/instances/{id}/get-groups
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.zuwinda.com/v2
security:
  - ZuwindaToken: []
paths:
  /messaging/whatsapp/instances/{id}/get-groups:
    post:
      description: Returns all whatsapp groups from a specific whatsapp instance
      parameters:
        - name: id
          in: path
          description: ID of the whatsapp instance
          required: true
          schema:
            type: string
      responses:
        '200':
          description: whatsapp instances response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGroupWhatsappInstances'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GetGroupWhatsappInstances:
      required:
        - data
      type: object
      properties:
        data:
          type: object
          properties:
            responseCode:
              type: string
              example: '00'
            groups:
              type: array
              items:
                type: object
                properties:
                  groupId:
                    type: string
                    example: '123123123123'
                  name:
                    type: string
                    example: Zuwinda Group
                  created_at:
                    type: string
                    example: '2024-04-23T12:25:17.000Z'
    Error:
      required:
        - data
      type: object
      properties:
        data:
          type: object
          properties:
            responseCode:
              type: integer
              format: int64
            message:
              type: string
  securitySchemes:
    ZuwindaToken:
      type: apiKey
      in: header
      name: X-Access-Key
      description: Your Zuwinda API token

````